Description

It is powerful to be able to create a date field, and would be even more so if one could see these in the Calendar. I'm using this for a

check-back date.

Related issues:

Related to Redmine - Feature #31714: Allow to add custom fields of type date ... Closed

Related to Redmine - Feature #27095: Add option to display custom field in ca... New

History

#1 - 2012-02-18 14:12 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2013-09-11 16:11 - Andriy Lesyuk

FYI, this feature is going to be included into Extended Fields 0.2.2...

#3 - 2018-12-03 15:02 - Davide Galletti

Any chance to get this feature for redmine >=3.4 ?

Thanks

#4 - 2019-08-05 09:59 - Go MAEDA

- Has duplicate Feature #31714: Allow to add custom fields of type date to calendar view added

#5 - 2019-08-05 10:00 - Go MAEDA

- Has duplicate deleted (Feature #31714: Allow to add custom fields of type date to calendar view)

#6 - 2019-08-05 10:00 - Go MAEDA

- Related to Feature #31714: Allow to add custom fields of type date to calendar view added

#7 - 2019-08-05 10:00 - Go MAEDA

- Related to Feature #27095: Add option to display custom field in calendar popup box added

#8 - 2024-09-16 12:06 - Quentin Aymard

A quick message to signal that such a feature would still be very relevant in 2024. Adding an "options" section to the calendar view allowing to select

what date fields to consider, much like what fields are wanted as columns in the issue view, would be very useful.

However, I do understand that the main difficulty here is : how to display the information clearly on the calendar when there is both a start/end date

AND some custom date fields ? Displaying only a start/end requires only a dot on the proper day. Displaying both a start and end dates requires a bar

on multiple days/weeks. Displaying custom date fields could be limited to simple dots as an early version, without the need to compute any time range

between standards and custom fields, which would require some considerable UX changes.

#9 - 2024-09-18 11:18 - Vincent Robert

I recently initialized a new plugin for this purpose. It integrates the FullCalendar library to display multi-day issues on the calendar and supports new

parameters to use custom fields instead of the default ones.

Here is the plugin : https://github.com/nanego/redmine_fullcalendar
